Package org.kie.internal.builder.conf

## Enum TrimCellsInDTableOption

- java.lang.Object
- - java.lang.Enum<TrimCellsInDTableOption>
  - - org.kie.internal.builder.conf.TrimCellsInDTableOption

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<TrimCellsInDTableOption>`, `org.kie.api.conf.KieBaseOption`, `org.kie.api.conf.Option`, `org.kie.api.conf.SingleValueKieBaseOption`, `org.kie.api.conf.SingleValueOption`, `org.kie.api.conf.SingleValueRuleBaseOption`, `KnowledgeBuilderOption`, `SingleValueKieBuilderOption`, `SingleValueRuleBuilderOption`

      public enum TrimCellsInDTableOption
      extends java.lang.Enum<TrimCellsInDTableOption>
      implements SingleValueRuleBuilderOption, org.kie.api.conf.SingleValueRuleBaseOption

  An option to disable trimming of spaces for values in decision tables drools.trimCellsInDTable = <true|false> DEFAULT = true

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `DISABLED` |
    `ENABLED` |

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static org.kie.api.conf.OptionKey<TrimCellsInDTableOption>` | `KEY` |
    `static java.lang.String` | `PROPERTY_NAME` | The property name for the enabling/disabling trim of cells values

    - ### Fields inherited from interface org.kie.api.conf.SingleValueRuleBaseOption

      `TYPE`

    - ### Fields inherited from interface org.kie.internal.builder.conf.SingleValueRuleBuilderOption

      `TYPE`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getPropertyName()` |
    `boolean` | `isTrimCellsInDTable()` |
    `java.lang.String` | `type()` |
    `static TrimCellsInDTableOption` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static TrimCellsInDTableOption[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.kie.api.conf.Option

      `propertyName`

- - ### Enum Constant Detail

    - #### ENABLED

          public static final TrimCellsInDTableOption ENABLED

    - #### DISABLED

          public static final TrimCellsInDTableOption DISABLED

  - ### Field Detail

    - #### PROPERTY_NAME

          public static final java.lang.String PROPERTY_NAME

      The property name for the enabling/disabling trim of cells values
      See Also:
        Constant Field Values

    - #### KEY

          public static org.kie.api.conf.OptionKey<TrimCellsInDTableOption> KEY

  - ### Method Detail

    - #### values

          public static TrimCellsInDTableOption[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TrimCellsInDTableOption c : TrimCellsInDTableOption.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TrimCellsInDTableOption valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getPropertyName

          public java.lang.String getPropertyName()

      Specified by:
        `getPropertyName` in interface `org.kie.api.conf.Option`

    - #### isTrimCellsInDTable

          public boolean isTrimCellsInDTable()

    - #### type

          public java.lang.String type()

      Specified by:
        `type` in interface `org.kie.api.conf.KieBaseOption`
      Specified by:
        `type` in interface `KnowledgeBuilderOption`
      Specified by:
        `type` in interface `org.kie.api.conf.Option`
      Specified by:
        `type` in interface `org.kie.api.conf.SingleValueRuleBaseOption`
      Specified by:
        `type` in interface `SingleValueRuleBuilderOption`